if not exists (select * FROM sys.syscolumns where name = 'PersonalConnectionCacheID' AND id = object_id(N'dbo.UserInfo')) BEGIN
  alter table dbo.UserInfo ADD PersonalConnectionCacheID varchar(100) NULL
END;

if not exists (select * FROM sys.syscolumns where name = 'PersonalConnections' AND id = object_id(N'dbo.UserInfo')) BEGIN
  alter table dbo.UserInfo ADD PersonalConnections nvarchar(max) NULL
END;